| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class Statement

    java.lang.Object
      |
      +--Statement

Direct Known Subclasses:
  Block, EmptyStmt, ExprStmt, IfStmt, LocalVarDecl, Return, WhileStmt

public abstract class Statement
extends java.lang.Object

Constructor Summary
`Statement()`

Method Summary
`abstract void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`(package private) static void` | `print_rec(java.util.Hashtable ht)`
`(package private) static void` | `print_rec(java.lang.String st, java.util.Hashtable ht)`
`(package private) static void` | `print_rec(java.lang.String st, de.dhbwstuttgart.typeinference.Menge v)`
`(package private) static void` | `print_rec(de.dhbwstuttgart.typeinference.Menge v)`
`(package private) abstract void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classlist, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement()

Method Detail

### sc_check

    abstract void sc_check(de.dhbwstuttgart.typeinference.Menge classlist,
                           java.util.Hashtable ch,
                           java.util.Hashtable bh,
                           boolean ext,
                           java.util.Hashtable parach,
                           java.util.Hashtable parabh)
                    throws SCStatementException

    `SCStatementException`

### codegen

    public abstract void codegen(ClassFile classfile,
                                 CodeAttribute code,
                                 de.dhbwstuttgart.typeinference.Menge paralist)
                          throws JVMCodeException

    `JVMCodeException`

### print_rec

    static void print_rec(java.util.Hashtable ht)

### print_rec

    static void print_rec(de.dhbwstuttgart.typeinference.Menge v)

### print_rec

    static void print_rec(java.lang.String st,
                          java.util.Hashtable ht)

### print_rec

    static void print_rec(java.lang.String st,
                          de.dhbwstuttgart.typeinference.Menge v)

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD